#include "error.h"
#include "lexer.h"
#include <fstream>
#include <iostream>
using namespace std;

int main( )
{
    ifstream fuente("codigo.txt");
    
    if (!fuente.is_open( )) {
        error( );
    }
    
    vector<char> bufer;
    
    do {
        bufer.push_back(fuente.get( ));
    } while (bufer.back( ) != EOF);
    
    vector<token_anotada> tokens = lexer(&bufer[0]);
    
    for (int i = 0; i < tokens.size( ); ++i) {
        cout << tokens[i].valor << ' ';
         
        switch (tokens[i].valor) {
        case LITERAL_ENTERA:
        case LITERAL_CADENA:
        case IDENTIFICADOR:
            cout.write(tokens[i].inicio, tokens[i].tam);
            break;
        }
        
        cout << '\n';
    }
}
